kr.co.hanwha.hifive.screen.task.contract

## Interface AddTaskContract.View

All Superinterfaces:
  BaseView<AddTaskContract.Presenter>

All Known Implementing Classes:
  AddTaskActivity

Enclosing interface:
  AddTaskContract

    public static interface AddTaskContract.View
    extends BaseView<AddTaskContract.Presenter>

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setCampaignInfo(CampaignData data)` Campaign 표시
`void` `setDuedate(java.lang.String selectedDate)` 기한 설정 표시
`void` `setReceiverList(java.util.ArrayList<MemberInfoData> list, boolean isEditable)` 받는 사람 목록 표시
`void` `setTaskData(TaskData taskData)` TASK 수정

### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

`showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

### Method Detail

#### setDuedate

    void setDuedate(java.lang.String selectedDate)

기한 설정 표시

#### setReceiverList

    void setReceiverList(@Nullable
                         java.util.ArrayList<MemberInfoData> list,
                         @NonNull
                         boolean isEditable)

받는 사람 목록 표시

Parameters:
  `list` - 멤버 목록
  `isEditable` - 수정 가능

#### setCampaignInfo

    void setCampaignInfo(@Nullable
                         CampaignData data)

Campaign 표시

Parameters:
  `data` - Campaign Info

#### setTaskData

    void setTaskData(@NonNull
                     TaskData taskData)

TASK 수정

Parameters:
  `taskData` - TASK 정보